Vulnerability Assessment & Network Security Forums



If through a vulnerability assessment, a network security issue is detected for the vulnerability below, applying the appropriate security patches in a timely matter is very important.  If you have detected that your system has already been compromised, following CERT's Network Security recovery document will assist with recommended steps for system recovery.


Home >> Browse Vulnerability Assessment Database >> Gentoo Local Security Checks >> [GLSA-200703-02] SpamAssassin: Long URI Denial of Service


Vulnerability Assessment Details

[GLSA-200703-02] SpamAssassin: Long URI Denial of Service

Vulnerability Assessment Summary
SpamAssassin: Long URI Denial of Service

Detailed Explanation for this Vulnerability Assessment
The remote host is affected by the vulnerability described in GLSA-200703-02
(SpamAssassin: Long URI Denial of Service)


SpamAssassin does not correctly handle very long URIs when scanning
emails.

Impact

A possible hacker could cause SpamAssassin to consume large amounts of CPU
and memory resources by sending one or more emails containing very long
URIs.

Workaround

There is no known workaround at this time.

References:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2007-0451


Solution:
All SpamAssassin users should upgrade to the latest version.
# emerge --sync
# emerge --ask --oneshot --verbose ">=mail-filter/spamassassin-3.1.8"


Network Security Threat Level: Medium


Networks Security ID:

Vulnerability Assessment Copyright: (C) 2007 Michel Arboi

Cables, Connectors

627114-001 HP 512744-001 146GB 6G SAS 15K 2.5in DP ENT HDD EH0146FBQDC
$20.0
627114-001 HP 512744-001 146GB 6G SAS 15K 2.5in DP ENT HDD EH0146FBQDC pictureIBM 49Y1866 600GB 15K 6GBPS SAS 3.5New Bulk - 49Y1870
$243.9
IBM 49Y1866 600GB 15K 6GBPS SAS 3.5New Bulk - 49Y1870 pictureSAMSUNG 2.5" 128GB SSD (SATA 6.0Gbps) MZ-7PC128D
$44.0
SAMSUNG 2.5ORICO Mobile HDD 2.5" Inch USB 3.1 Type-C to SATA Hard Drive Enclosure Case 2TB
$24.99
ORICO Mobile HDD 2.5


Discussions

No Discussions have been posted on this vulnerability.